# AWS credentials (replace with your own credentials)
AWS_ACCESS_KEY_ID=YOUR_AWS_ACCESS_KEY_ID
AWS_SECRET_ACCESS_KEY=YOUR_AWS_SECRET_ACCESS_KEY
AWS_REGION=us-east-1
AWS_ENDPOINT_URL=https://s3.your-provider.example.com

BUCKET_NAME=your-bucket-name

# Database credentials (replace with your own database info)
#DB_HOST=your-db-host
#DB_NAME=your_db_name
#DB_USER=your_db_user
#DB_PASSWORD=your_db_password
#DB_PORT=5432

# Example local development database
DB_HOST=127.0.0.1
DB_NAME=your_local_db_name
# DB_NAME=artchive_production
DB_USER=your_local_db_user
DB_PASSWORD=your_local_db_password
DB_PORT=5432

# LOGS FILE
LOG_FILE_PATH="./logs/ACH_media_import_errors.log"
ERROR_LOG_FILE_PATH="./logs/ACH_media_import_critical_errors.log"
WARING_LOG_FILE_PATH="./logs/ACH_media_import_warnings.log"
INFO_LOG_FILE_PATH="./logs/ACH_media_import_info.log"

# Email configuration (replace with your SMTP settings)
SMTP_SERVER=smtp.example.com
SMTP_PORT=587
SMTP_USER=your-smtp-user
SMTP_PASSWORD="your-smtp-password"
SENDER_EMAIL=sender@example.com
EMAIL_RECIPIENTS="recipient1@example.com,recipient2@example.com"
ERROR_EMAIL_RECIPIENTS="recipient1@example.com,recipient2@example.com"
SUCCESS_EMAIL_RECIPIENTS="recipient1@example.com,recipient2@example.com"

# ACH configuration
ACH_ENV="development" # "production" or "development"
ACH_DRY_RUN="true"
ACH_SAFE_RUN="true"
ACH_CACHE_S3_LIST="true"

ACH_SYNC_CHUNK_SIZE=10 # in % of total files to import, from media_files_to_process used to determine the number of files to process in each batch

ACH_EDITOR_ID=1
ACH_APPROVER_ID=1
ACH_NOTES="Imported automatically from the S3 bucket"
ACH_STORAGE_LOCATION='{"storage_type": "lto", "storage_location_id": 6}'
ACH_FILE_TYPE='{"type": "video/mov"}'
